Bug 100847 - EDITING: Operations with links to empty cells in other files, gives #VALUE as result.
Summary: EDITING: Operations with links to empty cells in other files, gives #VALUE as...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.1 rc
Hardware: All All
: high major
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0 target:5.1....
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-07-11 10:35 UTC by m.a.riosv
Modified: 2016-10-25 18:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File with the links (12.85 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2016-07-11 10:35 UTC, m.a.riosv
Details
Source file (8.33 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2016-07-11 10:35 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2016-07-11 10:35:26 UTC
Created attachment 126160 [details]
File with the links

If a linked cell in other file like in attached file:
'file:///g:/Users/xxxx/LinkIssue_Source.ods'#$Sheet1.A1
is empty, doing an operation with it results in #VALUE
=+'file:///g:/Users/xxxx/LinkIssue_Source.ods'#$Sheet1.A1*1
= #VALUE

While without operations, results is '0'
=+'file:///g:/Users/xxxx/LinkIssue_Source.ods'#$Sheet1.A1

Using the N() function as expected works.
=+N('file:///g:/Users/xxxx/LinkIssue_Source.ods'#$Sheet1.A1)*1


Win10x64
Version: 5.2.0.2 (x64)
Build ID: a7567a46e5d2953c320b13eb88a3981c4f9bd1e0
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 
Locale: es-ES (es_ES)

For me a regression since:
Version: 5.1.4.2 (x64)
Build ID: f99d75f39f1c57ebdd7ffc5f42867c12031db97a
CPU Threads: 1; OS Version: Windows 6.19; UI Render: GL;
Comment 1 m.a.riosv 2016-07-11 10:35:46 UTC
Created attachment 126161 [details]
Source file
Comment 2 Eike Rathke 2016-07-11 11:36:57 UTC
Investigating.
Comment 3 Eike Rathke 2016-07-11 12:17:25 UTC
Note that the result in A9 depends on Tools - Options - Calc - Formula "Detailed Calculation Settings" Custom Details "Contents to Numbers" Conversion from text to number. Result in A2 is wrong though, an empty cell should be treated as 0 in numeric context.
Comment 4 Commit Notification 2016-07-11 12:26:29 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89a5464a21046821648ec77f03db8316ceb4e6f8

Resolves: tdf#100847 also external svEmptyCell is 0 in numeric context

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2016-07-11 12:37:12 UTC
Pending review
https://gerrit.libreoffice.org/27111 for 5-2
https://gerrit.libreoffice.org/27112 for 5-2-0
Comment 6 m.a.riosv 2016-07-11 14:11:56 UTC
Thanks @Eike, I'll test when available.
Comment 7 Commit Notification 2016-07-11 15:30:40 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c30e2aab23e34ba91dbe80b7dd5e5c352bbaeb0&h=libreoffice-5-2

Resolves: tdf#100847 also external svEmptyCell is 0 in numeric context

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-07-11 15:30:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=def0ae82be7f9c4c31b9690fe7e95d8f05cf2210&h=libreoffice-5-2-0

Resolves: tdf#100847 also external svEmptyCell is 0 in numeric context

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 m.a.riosv 2016-07-13 00:14:50 UTC
Tested Ok.
Win10x64
Version: 5.3.0.0.alpha0+
Build ID: b0d96a82a4f6a0832d03d185f4a53db669adcc99
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-07-12_09:25:31
Locale: es-ES (es_ES); Calc: CL
Comment 10 m.a.riosv 2016-07-13 07:59:56 UTC
I don't see nothing about the verification for 5.2.0 and 5.2.1
Comment 11 m.a.riosv 2016-07-21 11:01:49 UTC
It appears now with:
Win10x64
Version: 5.1.5.1 (x64)
Build ID: bb431b2be5fb7772067efc27a3cc98b6927c7b4c
CPU Threads: 1; OS Version: Windows 6.19; UI Render: default; 
Locale: es-ES (es_ES); Calc: CL

when it wasn't with Version: 5.1.4.2 (x64)
Comment 12 m.a.riosv 2016-07-21 11:03:27 UTC
Ok with
Version: 5.2.0.3 (x64)
Build ID: 7dbd85f5a18cfeaf6801c594fc43a5edadc2df0c
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 
Locale: es-ES (es_ES)
Comment 13 Eike Rathke 2016-07-21 11:14:44 UTC
Indeed, we need this also in 5-1, pending review
https://gerrit.libreoffice.org/27372 for 5-1
https://gerrit.libreoffice.org/27373 for 5-1-5
Comment 14 Commit Notification 2016-07-21 14:10:20 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38aceeda9df7a04bff344c82c4bc077217b1178d&h=libreoffice-5-1

Resolves: tdf#100847 also external svEmptyCell is 0 in numeric context

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2016-07-22 08:51:40 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11535b80816d131963eb8f916ba1791816513664&h=libreoffice-5-1-5

Resolves: tdf#100847 also external svEmptyCell is 0 in numeric context

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.